PelekaPeleka Developers
API ReferenceAudienceSegments

Create a segment

POST
/api/v1/segments
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/segments" \  -H "Content-Type: application/json" \  -d '{    "name": "VIP Customers"  }'
{  "data": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "workspaceId": "550e8400-e29b-41d4-a716-446655440000",    "name": "Active subscribers",    "icon": "users",    "description": "Subscribed in the last 90 days",    "color": "#3b82f6",    "type": "dynamic",    "rules": {      "conditions": []    },    "count": "1234",    "createdAt": "2026-01-01T00:00:00.000Z",    "updatedAt": "2026-01-01T00:00:00.000Z"  }}